package com.getbubblenow.android.viewmodel;

import android.content.Context;

import com.getbubblenow.android.api.enums.MFAuthType;
import com.getbubblenow.android.repository.DataRepository;
import com.getbubblenow.android.resource.StatusResource;

import androidx.lifecycle.MutableLiveData;

public class MFAVerifyViewModel extends BaseViewModel {

    private MFAuthType authType = MFAuthType.NONE;

    public MutableLiveData<StatusResource<byte[]>> loginWithAuth(
            final Context context,
            final String mfaToken) {
        return DataRepository.getRepositoryInstance().loginWithAuth(context, mfaToken, authType);
    }

    public void setAuthType(final MFAuthType authType) {
        this.authType = authType;
    }

    public MFAuthType getAuthType() {
        return authType;
    }
}
